package storage

import (
	"context"

	"git.optclblast.xyz/draincloud/draincloud-light/internal/storage/models"
)

type Database interface {
	AuthStorage
}

type AuthStorage interface {
	AddUser(ctx context.Context, user *models.User) error
	GetUserByLogin(ctx context.Context, login string) (*models.User, error)
	GetUserByID(ctx context.Context, id uint64) (*models.User, error)
}
